Nhảy tới nội dung
Phiên bản: 2.3.0

Import lô chứng từ bằng file excel

Ngày cập nhật: 18 tháng 08, 2026
Người cập nhật: VNPT eContract's team


Mục đích​

Thực hiện tạo hàng loạt chứng từ bằng template mẫu chứng từ có sẵn thông qua import file excel.

  • Request URL: /api/batch-imports/create
  • HTTP method: POST
  • HTTP content-type: multipart/form-data
  • Authorize: Bearer token
  • Parameter:
KeyTypeDescription
filefile[Bắt buộc] File excel dùng để import lô chứng từ
namestring[Bắt buộc] Tên lô chứng từ
departmentIdint[Bắt buộc] Id bộ phận
documentTypeIdint[Bắt buộc] Id loại chứng từ
documentTemplateIdint[Bắt buộc] Id mẫu chứng từ

Mẫu response body​

{
"data": {
"id": 1234,
"createdDate": "2022-12-13T10:21:51.712847+07:00",
"uploadedByUserId": 2341,
"numberOfRecords": 3,
"name": "Test import lô chứng từ bằng API",
"documents": [
{
"id": "e429b738-f30c-44e6-f25b-08dadcb92ffb",
"createdDate": "2022-12-13T10:21:54.618228+07:00",
"lastModifiedDate": "2022-12-13T10:21:54.6181865+07:00",
"expiryDate": "2022-12-15T00:00:00",
"no": "WV38",
"subject": "HĐLĐ_01",
"hasVerified": false,
"hasSeal": false,
"requireVerifiedUserSigning": false,
"status": {
"value": 1,
"description": "New document"
},
"description": "Hợp đồng lao động 01",
"department": {
"id": 33,
"name": "VNPT eContract",
"code": "DHB",
"users": []
},
"createdByUserId": 2341,
"processRecipientCount": 3,
"processInOrder": true,
"isWaitToSignDraw": false,
"isWaitToSignDigital": false,
"isWaitToApprove": false,
"isWaitToFillData": false,
"isWaitToCoordinate": false,
"isWaitToESign": false,
"isWaitToEkyc": false,
"isFillable": false,
"type": {
"id": 47,
"code": "TOTRINH",
"name": "Tờ trình",
"description": "Tờ trình nội bộ",
"documentCount": 3
},
"documentTemplate": {
"id": 130,
"name": "Mẫu hợp đồng không thời hạn",
"createdDate": "2022-10-31T13:43:38.9327148",
"fileName": "Mau_hop_hong.docx",
"downloadUrl": "{HOST}/Api/Download?token=...",
"pdfDownloadUrl": "{HOST}/Api/Download?token=",
"isDisabled": false,
"isLaborContractTemplate": true,
"childrenTemplates": []
},
"processes": [
{
"id": "39e86913-d55a-4bd8-d61f-08dadcb93017",
"createdDate": "2022-12-13T10:21:54.6172923+07:00",
"comId": 164,
"isOrder": true,
"orderNo": 1,
"displayType": {
"value": 0,
"description": "0"
},
"accessPermission": {
"value": 2,
"description": "Sign draw"
},
"status": {
"value": 1,
"description": "Waiting"
},
"processedByUserId": 2328,
"documentId": "e429b738-f30c-44e6-f25b-08dadcb92ffb"
}
],
"file": {
"name": "Import_lo_1.pdf",
"size": 164711
},
"downloadUrl": "{HOST}/Api/Download?token=...",
"fixedPosition": false,
"isLaborContractDocument": false
}
]
},
"success": true,
"code": 0,
"messages": [
"Import batch document success"
]
}

Response Parameter​

KeyTypeDescription
dataobjectĐối tượng chứa thông tin chi tiết lô chứng từ vừa tạo (xem bên dưới)
successbooleanTrạng thái xử lý của yêu cầu (true: Thành công, false: Thất bại)
codeintMã trạng thái phản hồi từ hệ thống
messagesArray[string]Danh sách thông báo phản hồi từ hệ thống

Chi tiết đối tượng data:​

KeyTypeDescription
idintID của lô chứng từ import
createdDatestringThời gian tạo lô chứng từ (định dạng ISO 8601)
uploadedByUserIdintID người dùng thực hiện upload
numberOfRecordsintTổng số lượng chứng từ được tạo trong lô
namestringTên lô chứng từ
documentsArray[object]Danh sách các chứng từ được tạo trong lô (xem chi tiết chứng từ)